<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CSS Tips and Tricks | Text loader css</title>
    <style>
        *{
            margin: 0;
            padding: 0
        }
        body{
            height: 100vh;
            background-color: #111;
            display: flex;
            justify-content: center;
            align-items: center;
            font-family: monospace;
        }
        .text-container{
            position: relative;
        }
        .text-container span{
            position: relative;
            display: inline-block;
            color: #fff;
            font-size: 4em;
            text-transform: uppercase;
            animation: animate 3s ease-in-out infinite;
            animation-delay: calc(0.1s * var(--i));
        }
        @keyframes animate {
            0%{
                transform: scale(0);
            }
            20%{
                transform: scale(1.2);
            }
            40%, 100%{
                transform: scale(0);
            }
        }
    </style>
</head>
<body>
    <div class="text-container">
        <span style="--i:1">T</span>
        <span style="--i:2">E</span>
        <span style="--i:3">X</span>
        <span style="--i:4">T</span>
        <span style="--i:5">-</span>
        <span style="--i:6">L</span>
        <span style="--i:7">0</span>
        <span style="--i:8">A</span>
        <span style="--i:9">D</span>
        <span style="--i:10">I</span>
        <span style="--i:11">N</span>
        <span style="--i:12">G</span>
        <span style="--i:13">-</span>
        <span style="--i:14">A</span>
        <span style="--i:15">N</span>
        <span style="--i:16">I</span>
        <span style="--i:17">M</span>
        <span style="--i:18">A</span>
        <span style="--i:19">T</span>
        <span style="--i:20">I</span>
        <span style="--i:21">O</span>
        <span style="--i:22">N</span>


    </div>
</body>
</html>